/**
 * Copyright (c) 2009 - Lehigh University. Bethlehem, PA, USA.
 * All rights reserved.
 * This source code is a part of MARCHES Project. 
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose, without fee, and without written agreement is
 * hereby granted, provided that the above copyright notice, the following
 * two paragraphs, and the author attribution appear in all copies of this
 * software.
 *
 * IN NO EVENT SHALL LEHIGH UNIVERSITY BE LIABLE TO ANY PARTY FOR DIRECT, 
 * INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT
 * OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF LEHIGH
 * UNIVERSITY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *	
 * LEHIGH UNIVERSITY SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT 
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
 * PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, 
 * AND LEHIGH UNIVERSITY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, 
 * SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 **/

// modsDlg.cpp : implementation file
//

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace StudentPDA
{
    public partial class FormConnect : Form
    {
        public int nPortChBox;

        public FormConnect()
        {
            InitializeComponent();

            txtBoxVideo.Text = MySockets.UDPServer.PORTVIDEO.ToString();
            txtBoxAudio.Text = MySockets.UDPServer.PORTAUDIO.ToString();
            txtBoxChbox.Text = MySockets.TCPServer.PORTCHBOX.ToString();
            txtBoxSlide.Text = MySockets.UDPServer.PORTSLIDE.ToString();
        }

        public string mStrIP
        {
            get
            {
                return txtBoxIP.Text;
            }
            set
            {
                txtBoxIP.Text = value;
            }
        }

        public string mStrName
        {
            get
            {
                return txtBoxName.Text;
            }
            set
            {
                txtBoxName.Text = value;
            }
        }



        private void buttonOK_Click(object sender, EventArgs e)
        {
            if (txtBoxName.Text.Length == 0)
            {
                MessageBox.Show("User name required to connect to the Server\n");
                return;
            }
            if (txtBoxIP.Text.Length == 0 || txtBoxVideo.Text.Length == 0 || txtBoxAudio.Text.Length == 0
                || txtBoxChbox.Text.Length == 0 || txtBoxSlide.Text.Length == 0)
            {
                MessageBox.Show("IP Address and Port Numbers are required to connect to the Server\n");
                return;
            }
            nPortChBox = System.Convert.ToInt16(txtBoxChbox.Text, 10);

            this.DialogResult = DialogResult.OK;
            this.Close();
        }

        private void chBoxDefault_CheckStateChanged(object sender, EventArgs e)
        {
            if (chBoxDefault.Checked)
            {
                txtBoxVideo.Text = "" + MySockets.UDPServer.PORTVIDEO;
                txtBoxAudio.Text = "" + MySockets.UDPServer.PORTAUDIO;
                txtBoxChbox.Text = "" + MySockets.TCPServer.PORTCHBOX;
                txtBoxSlide.Text = "" + MySockets.UDPServer.PORTSLIDE;
            }
            txtBoxVideo.ReadOnly = chBoxDefault.Checked;
            txtBoxAudio.ReadOnly = chBoxDefault.Checked;
            txtBoxChbox.ReadOnly = chBoxDefault.Checked;
            txtBoxSlide.ReadOnly = chBoxDefault.Checked;
        }
    }
}