/**
 * Copyright (c) 2009 - Lehigh University. Bethlehem, PA, USA.
 * All rights reserved.
 * This source code is a part of MARCHES Project. 
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose, without fee, and without written agreement is
 * hereby granted, provided that the above copyright notice, the following
 * two paragraphs, and the author attribution appear in all copies of this
 * software.
 *
 * IN NO EVENT SHALL LEHIGH UNIVERSITY BE LIABLE TO ANY PARTY FOR DIRECT, 
 * INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT
 * OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF LEHIGH
 * UNIVERSITY HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *	
 * LEHIGH UNIVERSITY SPECIFICALLY DISCLAIMS ANY WARRANTIES, INCLUDING, BUT NOT 
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A 
 * PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS ON AN "AS IS" BASIS, 
 * AND LEHIGH UNIVERSITY HAS NO OBLIGATION TO PROVIDE MAINTENANCE, 
 * SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.
 **/

// modsDlg.cpp : implementation file
//

using System;
using System.Collections.Generic;
using System.Text;
using System.Threading;

namespace MassTools.NetworkAwareness.AvailableBW
{
    public class AvailableBW : MassTool
    {
        public event MassToolDataReadyEventHandler DataReadyEvent;

        Thread m_toolThread;

        public int m_PacketSize;

        public AvailableBW()
        {
            m_toolThread = new Thread(new ThreadStart(MeasureFunc));
        }

        public override bool Start()
        {
            m_toolThread.Start();
            return true;
        }

        public override bool Stop()
        {
            m_toolThread.Abort();
            return true;
        }

        public void AddSubscriber(MassToolDataReadyEventHandler handler)
        {
            DataReadyEvent += handler;
        }

        public void SetPacketSize(Int32 n)
        {
        }

        public void SetPacketNum(Int32 n)
        {
        }

        public void SetInterval(Int32 n)
        {
        }

        public void MeasureFunc()
        {
            DataReadyEvent(this, new MassToolEventArgs(5));
            Thread.Sleep(2000);
            DataReadyEvent(this, new MassToolEventArgs(20));
            Thread.Sleep(2000);
            DataReadyEvent(this, new MassToolEventArgs(5));
            Thread.Sleep(2000);
            DataReadyEvent(this, new MassToolEventArgs(20));
            Thread.Sleep(2000);
            DataReadyEvent(this, new MassToolEventArgs(5));
            Thread.Sleep(2000);
            DataReadyEvent(this, new MassToolEventArgs(20));
            Thread.Sleep(2000);
            DataReadyEvent(this, new MassToolEventArgs(5));
            Thread.Sleep(2000);
            DataReadyEvent(this, new MassToolEventArgs(20));
            Thread.Sleep(2000);
            DataReadyEvent(this, new MassToolEventArgs(5));
            Thread.Sleep(2000);
            DataReadyEvent(this, new MassToolEventArgs(20));
            Thread.Sleep(2000);
        }

    }
}
